[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TimePopup' (#lcl)

# TReturnTimeEvent

Specifies an event handler signalled to get a time return value.

## Declaration

Source position: timepopup.pas line 27

`type TReturnTimeEvent = procedure(`
`Sender: TObject;`
`const ATime: TDateTime`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`ATime` |  | Time value examined or updated in the event handler.

## Description

TReturnTimeEvent specifies an event handler signalled to validate or assign a time value. It is an object procedure which must be implemented in an application to respond to the event notification.

Sender is the object generating the event notification.

ATime is a TDateTime value which contains the time value used in the event handler. Only the time portion of the type is significant.

TReturnTimeEvent is the type passed as an argument to the ShowTimePopup routine, and implemented as a private member in TTimePopupForm.

## See also

TTimePopupForm |  | Implements a form displayed to capture a time value.
ShowTimePopup |  | Creates, initializes, and displays a TTimePopupForm instance.